=== debian/changelog ===
stx2any (1.56-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop html2stx. (closes: #945713)
  * Convert to 3.0 source format. (closes: #1007552)

 -- Bastian Germann <bage@debian.org>  Wed, 30 Nov 2022 20:22:05 +0100

stx2any (1.56-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 19:29:22 +0100

stx2any (1.56-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper compat level 9.  (closes: #817681)

 -- Bas Wijnen <wijnen@debian.org>  Mon, 20 Jun 2016 03:28:52 -0400

stx2any (1.56-2) unstable; urgency=low

  * Updated standards-version
  * Added build-indep and build-arch targets recommended by policy
  * removed some cruft from rules file

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 21 Aug 2006 20:58:12 +0300

stx2any (1.56-1) unstable; urgency=low

  * Added a w_man_desc macro and added documentation for writing proper man
    pages.  (closes: #380574)
  * Modified the man pages in the distribution to use w_man_desc.

 -- Panu Kalliokoski <atehwa@sange.fi>  Thu, 17 Aug 2006 13:32:33 +0300

stx2any (1.55-1) unstable; urgency=low

  * updated major version number because the .orig.tar.gz contains changes
    after 1.54 release.

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed, 21 Jun 2006 12:46:56 +0300

stx2any (1.54-4) unstable; urgency=low

  * Added missing build-depends on m4 (closes: #374641)

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 20 Jun 2006 19:28:52 +0300

stx2any (1.54-3) unstable; urgency=low

  * Moved python from Depends: to Recommends:.

 -- Panu Kalliokoski <atehwa@sange.fi>  Fri, 12 May 2006 15:36:36 +0300

stx2any (1.54-2) unstable; urgency=low

  * Added w3m and tidy to Recommends:.

 -- Panu Kalliokoski <atehwa@sange.fi>  Fri, 28 Apr 2006 18:00:44 +0300

stx2any (1.54-1) unstable; urgency=low

  * Changed command line option handling as suggested by Sven Mueller
    <debian@incase.de>.
  * More checks to --more-secure.
  * Copyright declarations in source files

 -- Panu Kalliokoski <atehwa@sange.fi>  Thu, 27 Apr 2006 14:14:58 +0300

stx2any (1.53-2) unstable; urgency=low

  * Put arch-independent building instructions into their proper place &
    updated debian/control
  * Added uploaders: field
  * License declarations in source files

 -- Panu Kalliokoski <atehwa@sange.fi>  Tue, 25 Apr 2006 19:28:19 +0300

stx2any (1.53-1) unstable; urgency=low

  * Changed into a non-native package
  * updated standards-version
  * opened an ITP as should (closes: #354803)

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed,  1 Mar 2006 10:14:57 +0200

stx2any (1.53) unstable; urgency=low

  * w_autolabel and w_autorefer
  * fixes in table of contents generation
  * fixed --link-abbrevs to work together with --table-of-contents on

 -- Panu Kalliokoski <atehwa@sange.fi>  Wed,  1 Feb 2006 11:30:41 +0200

stx2any (1.52) unstable; urgency=low

  * table of contents generation for HTML and man

 -- Panu <atehwa@maim.it.helsinki.fi>  Tue, 31 Jan 2006 11:55:05 +0200

stx2any (1.51) unstable; urgency=low

  * admonitions
  * improved metadata quoting rules (makes it easier to insert e.g. an em dash
    in the title).

 -- Panu <atehwa@maim.it.helsinki.fi>  Tue, 31 Jan 2006 11:01:19 +0200

stx2any (1.50) unstable; urgency=low

  * Fixed LaTeX paper size annotations to be different in slides

 -- Panu Kalliokoski <pkalliok@juiblex.it.helsinki.fi>  Mon, 30 Jan 2006 17:34:24 +0200

stx2any (1.49) unstable; urgency=low

  * --table-of-contents switch
  * cleaning up old code
  * fixed small things in slide support

 -- Panu <atehwa@maim.it.helsinki.fi>  Tue, 24 Jan 2006 09:26:29 +0200

stx2any (1.48) unstable; urgency=low

  * Slide environment
  * --make-title switch

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 23 Jan 2006 19:32:52 +0200

stx2any (1.47) unstable; urgency=low

  * LaTeX defnlist items won't break with brackets
  * Layers: environments may invoke other environments.

 -- Panu Kalliokoski <atehwa@sange.fi>  Mon, 10 Oct 2005 23:17:22 +0300

stx2any (1.46) unstable; urgency=low

  * neater results when label abbrevs in the same line
  * automatic labels are better named (less spurious diffs)

 -- Panu <atehwa@maim.it.helsinki.fi>  Thu, 30 Jun 2005 01:48:27 +0300

stx2any (1.45) unstable; urgency=low

  * Using alltt environment for LaTeX literal blocks. (instead of verbatim)

 -- Panu A Kalliokoski <pkalliok@ling.helsinki.fi>  Wed, 29 Jun 2005 12:36:39 +0300

stx2any (1.44) unstable; urgency=low

  * table captions
  * cleaned up and rearranged sed code (particularly for link abbrevs)
  * emphasis code updates: allowing literal formatting within non-quoted
    underscore emphases, broader rules for quotation marks

 -- Panu A Kalliokoski <pkalliok@angarak.ling.helsinki.fi>  Thu,  7 Apr 2005 21:00:05 +0300

stx2any (1.43) unstable; urgency=low

  * --link-abbrevs interaction with footnotes fix.
  * --sed-preprocessor command line switch

 -- Panu A Kalliokoski <pkalliok@angarak.ling.helsinki.fi>  Tue,  5 Apr 2005 18:12:31 +0300

stx2any (1.42) unstable; urgency=low

  * w_documentclass macro
  * build option to not use w3m

 -- Panu A Kalliokoski <pkalliok@angarak.ling.helsinki.fi>  Mon,  4 Apr 2005 10:40:32 +0300

stx2any (1.41) unstable; urgency=low

  * fixed bug in link abbrevs that caused the last paragraph to be copied to
    the beginning of the document if not followed by an empty line.  Yay.
  * no usage, just a short help message on m4 errors in stx2any

 -- Panu <atehwa@maim.it.helsinki.fi>  Wed, 30 Mar 2005 13:41:15 +0300

stx2any (1.40) unstable; urgency=low

  * w_title, w_author, w_date without arguments
  * fixed a small link abbrev bug that affected tabs followed by sq.brackets

 -- Panu <atehwa@maim.it.helsinki.fi>  Thu, 24 Feb 2005 09:52:45 +0200

stx2any (1.39) unstable; urgency=low

  * footnote markers at beginning and end of line
  * header blocks


