=== debian/control ===
Source: stx2any
Section: text
Priority: extra
Maintainer: Panu Kalliokoski <atehwa@sange.fi>
Build-Depends-Indep: w3m, m4
Build-Depends: debhelper (>= 9)
Standards-Version: 3.7.2

Package: stx2any
Architecture: all
Depends: m4, ${misc:Depends}
Recommends: w3m, tidy
Description: Converter from structured plain text to other formats
 stx2any is a converter from structured text (Stx), which is plain text
 written in a standardised way, into other formats.  Formats available
 currently include (X)HTML, man, raw text, DocBook XML, PostScript and
 LaTeX.
 .
 Stx is a markup language in the tradition of plain text like markups,
 like wiki markup and ReST.  For a comparison between different plain
 text markup languages, see stx2any's home page
 (http://sange.fi/~atehwa/cgi-bin/piki.cgi/stx2any).
 .
 This package also has the following utilities:
  * strip_stx -- a literate programming tool
  * gather_stx_titles -- a script to automate cross-linking between
    documents
  * extract_usage_from_stx -- a script to produce "usage" messages from
    man pages written in stx
